Subject: Idea for git-touch

From: Luís Sousa <[email-masked]>
Date: Thu, 12 Nov 2009 16:15:07 +0000

Hi all,

I have been using GIT for several time and I love it.

I normally do commits when something works or on the end of the day, 
just to record what have doing. On other day, when I consider that is 
done/working I do a rebase -i squashing everything on one commit. The 
date of that commit will be preserved and is the date of the first 
commit. Then I do a git-reset HEAD~1, git-add . and git-commit with the 
same message to have the current date.

A nice functionality was a git-touch that did the commands before.

Best regards and keep the good work,
Luís Sousa

P.S.: While writing this message I realize that is easy to accomplish a 
git-touch doing a bash script, but probably is a good idea to share.